*** Split data into separate datasets for each variable ***;

*** OPTIONS ***;
options spool mlogic mprint symbolgen fullstimer msglevel=i ps=200 ls=200 nocenter obs=max;

libname dot ".";

libname interwrk "../sastemp";

%put SASUSER path=%sysfunc(pathname(sasuser));

%macro dname(var,ybeg,yend);
   data interwrk.&var;
      set interwrk.master_dta(keep=personid male yob &var.&ybeg-&var.&yend);
   run;
   
   proc contents data=interwrk.&var;
   proc means data=interwrk.&var;
   run;
%mend;

%dname(arcearn1F,1998,2018);
%dname(arcearn5F,1998,2014);
%dname(labor,1998,2019);
%dname(logearn,1998,2019);
%dname(logearnc,1998,2019);
%dname(permearn,2000,2019);
%dname(permearnalt,2000,2019);
%dname(researn,1998,2019);
%dname(researn1F,1998,2018);
%dname(researn5F,1998,2014);
%dname(researnc,1998,2019);
%dname(researne,1998,2019);
