#!/bin/bash
rm -f run_jid.log
touch run_jid.log
for i in {1998..2018}
do
   rm -f 4_vol_${i}.do
   rm -f 4_vol_${i}.log
   rm -f run_vol_${i}.bash
   cat 4_Volatility_Year.do | sed "s/timer on 1/timer on 1\nglobal d1yrlist= ${i}/" > 4_vol_${i}.do
   cat run_skel.bash > run_vol_${i}.bash
   echo "runpbs stata-mp -b do 4_vol_${i}.do" >> run_vol_${i}.bash
   # Submit job
   jid1=$(qsub run_vol_${i}.bash)
   echo "run_vol_${i}.bash: $jid1" >> run_jid.log
done
sleep 5
qstat -u [insert user JBID]
