#!/bin/bash

rm -f mpub_*.png

# Montage 1
rm -f tmp*.png
convert 01_1_ineq_main_fig1A_male_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 01_2_ineq_main_fig1A_fem_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
convert 01_3_ineq_main_fig1B_male_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(c) Male" tmp3.png
convert 01_4_ineq_main_fig1B_fem_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(d) Female" tmp4.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_01.png
rm -f tmp*.png

# Montage 2
rm -f tmp*.png
convert 02_1_ineq_main_fig2A_male_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 02_2_ineq_main_fig2A_fem_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
convert 02_3_ineq_main_fig2B_male_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(c) Male" tmp3.png
convert 02_4_ineq_main_fig2B_fem_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(d) Female" tmp4.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_02.png
rm -f tmp*.png

# Montage 3
rm -f tmp*.png
convert 03_1_ineq_init_fig3_male_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 03_2_ineq_init_fig3_fem_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_03.png
rm -f tmp*.png

# Montage 4
rm -f tmp*.png
convert 04_1_ineq_init_fig3B_male_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 04_2_ineq_init_fig3B_fem_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_04.png
rm -f tmp*.png

# Montage 5
rm -f tmp*.png
convert 05_1_vol_fig4_men_researn1F.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 05_2_vol_fig4_women_researn1F.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_05.png
rm -f tmp*.png

# Montage 6
rm -f tmp*.png
convert 06_1_vol_fig5A_researn1F.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Kelley Skewness" tmp1.png
convert 06_2_vol_fig5B_researn1F.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Excess Crow-Siddiqui Kurtosis" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_06.png
rm -f tmp*.png

# Montage 7
rm -f tmp*.png
convert 07_1_egrow_het_fig6A_researn1F_men.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 07_2_egrow_het_fig6A_researn1F_women.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
convert 07_3_egrow_het_fig6B_researn1F_men.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(c) Male" tmp3.png
convert 07_4_egrow_het_fig6B_researn1F_women.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(d) Female" tmp4.png
convert 07_5_egrow_het_fig6C_researn1F_men.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(e) Male" tmp5.png
convert 07_6_egrow_het_fig6C_researn1F_women.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(f) Female" tmp6.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_07.png
rm -f tmp*.png

# Montage 8
rm -f tmp*.png
convert 08_1_mob_fig7_mobility_male1_T10.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 08_2_mob_fig7_mobility_male0_T10.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_08.png
rm -f tmp*.png

# Montage 9
rm -f tmp*.png
convert 09_1_mob_fig7_mobility_male1_yrs_T10.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 09_2_mob_fig7_mobility_male0_yrs_T10.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_09.png
rm -f tmp*.png

# Montage 10
rm -f tmp*.png
convert 10_1_ineq_main_fig1A_all_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Percentiles" tmp1.png
convert 10_2_ineq_main_fig1B_all_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Top Percentiles" tmp2.png
convert 10_3_ineq_main_fig2A_all_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(c) Dispersion" tmp3.png
convert 10_4_ineq_main_fig2B_all_logearn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(d) Right and Left-Tail Dispersion" tmp4.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_10.png
rm -f tmp*.png

# Montage 11
rm -f tmp*.png
convert 11_1_ineq_main_fig1A_all_researn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Percentiles" tmp1.png
convert 11_2_ineq_main_fig1B_all_researn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Top Percentiles" tmp2.png
convert 11_3_ineq_main_fig2A_all_researn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(c) Dispersion" tmp3.png
convert 11_4_ineq_main_fig2B_all_researn.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(d) Right and Left-Tail Dispersion" tmp4.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_11.png
rm -f tmp*.png

# Montage 12
rm -f tmp*.png
convert 12_1_ineq_main_fig1A_all_researne.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Percentiles" tmp1.png
convert 12_2_ineq_main_fig1B_all_researne.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Top Percentiles" tmp2.png
convert 12_3_ineq_main_fig2A_all_researne.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(c) Dispersion" tmp3.png
convert 12_4_ineq_main_fig2B_all_researne.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(d) Right and Left-Tail Dispersion" tmp4.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_12.png
rm -f tmp*.png

# Montage 13
rm -f tmp*.png
convert 13_1_tail_logCDF_1pct_Male.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 13_2_tail_logCDF_1pct_Women.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_13.png
rm -f tmp*.png

# Montage 14
rm -f tmp*.png
convert 14_1_tail_logCDF_5pct_Male.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 14_2_tail_logCDF_5pct_Women.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_14.png
rm -f tmp*.png

# Montage 15
rm -f tmp*.png
convert 15_1_conc_fig11B_nquintile_more_all.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Earnings Shares of Quntiles" tmp1.png
convert 15_2_conc_fig11B_bot50share_more_all.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Selected Earnings Shares" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_15.png
rm -f tmp*.png

# Montage 16
rm -f mpub_16.png
cp 16_1_conc_fig3b_gini_all.png mpub_16.png

# Montage 17 (Not Used)

# Montage 18
rm -f tmp*.png
convert 18_1_vol_fig4_men_researn5F.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 18_2_vol_fig4_women_researn5F.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_18.png
rm -f tmp*.png

# Montage 19
rm -f tmp*.png
convert 19_1_vol_fig5A_researn5F.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Skewness" tmp1.png
convert 19_2_vol_fig5B_researn5F.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Excess Kurtosis" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_19.png
rm -f tmp*.png

# Montage 20
rm -f tmp*.png
convert 20_1_egrow_het_fig6A_researn5F_men.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 20_2_egrow_het_fig6A_researn5F_women.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
convert 20_3_egrow_het_fig6B_researn5F_men.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(c) Male" tmp3.png
convert 20_4_egrow_het_fig6B_researn5F_women.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(d) Female" tmp4.png
convert 20_5_egrow_het_fig6C_researn5F_men.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(e) Male" tmp5.png
convert 20_6_egrow_het_fig6C_researn5F_women.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(f) Female" tmp6.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_20.png
rm -f tmp*.png

# Montage 21
rm -f tmp*.png
convert 21_1_egrow_het_fig6A_researn1F_men_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 21_2_egrow_het_fig6A_researn1F_women_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
convert 21_3_egrow_het_fig6B_researn1F_men_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(c) Male" tmp3.png
convert 21_4_egrow_het_fig6B_researn1F_women_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(d) Female" tmp4.png
convert 21_5_egrow_het_fig6C_researn1F_men_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(e) Male" tmp5.png
convert 21_6_egrow_het_fig6C_researn1F_women_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(f) Female" tmp6.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_21.png
rm -f tmp*.png

# Montage 22
rm -f tmp*.png
convert 22_1_egrow_het_fig6A_researn5F_men_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 22_2_egrow_het_fig6A_researn5F_women_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
convert 22_3_egrow_het_fig6B_researn5F_men_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(c) Male" tmp3.png
convert 22_4_egrow_het_fig6B_researn5F_women_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(d) Female" tmp4.png
convert 22_5_egrow_het_fig6C_researn5F_men_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(e) Male" tmp5.png
convert 22_6_egrow_het_fig6C_researn5F_women_ct.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(f) Female" tmp6.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_22.png
rm -f tmp*.png

# Montage 23
rm -f tmp*.png
convert 23_1_mob_fig7_mobility_male1_T5.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 23_2_mob_fig7_mobility_male0_T5.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_23.png
rm -f tmp*.png

# Montage 24
rm -f tmp*.png
convert 24_1_mob_fig7_mobility_male1_yrs_T5.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 24_2_mob_fig7_mobility_male0_yrs_T5.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_24.png
rm -f tmp*.png

# Montage 25
rm -f tmp*.png
convert 25_1_dens_fig13_den_researn1F_men_2010.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 25_2_dens_fig13_den_researn1F_women_2010.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_25.png
rm -f tmp*.png

# Montage 26
rm -f tmp*.png
convert 26_1_dens_fig13_den_researn5F_men_2010.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 26_2_dens_fig13_den_researn5F_women_2010.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_26.png
rm -f tmp*.png

# Montage 27
rm -f tmp*.png
convert 27_1_dens_fig13_lden_researn1F_men_2010.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 27_2_dens_fig13_lden_researn1F_women_2010.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_27.png
rm -f tmp*.png

# Montage 28
rm -f tmp*.png
convert 28_1_dens_fig13_lden_researn5F_men_2010.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(a) Male" tmp1.png
convert 28_2_dens_fig13_lden_researn5F_women_2010.png -font Nimbus-Roman-No9-Regular -pointsize 72 -gravity North  -splice 0x100 -annotate +0+0 "(b) Female" tmp2.png
montage -tile 2x -geometry +0+0 tmp*.png mpub_28.png
rm -f tmp*.png







