*sline.sas;
*Author: Kevin McKinney;
*Last modified: N. Zhao 20150819;
/* Set line for stacking all of the lib.data_NN files */

%macro sline(lib=,data=,keepvars=);
   set
   %let i=1;
   %let NN = %scan(&PIK2short.,&i.);
   %do %until ("&NN" = "");
       &lib..&data._&NN.(keep=&keepvars. obs=&obsv.)
       %let i = %eval(&i.+1);
       %let NN = %scan(&PIK2short.,&i.," ");
   %end;;
%mend;
