*** Long Term Earnings Moblity ***;

%include "../config.sas";

data temp1(keep=pik pchar age_cohort full partial inactive earn_all eda13 ea1 ea2 ea3 ltmob);
   set outputs.pik_vars_2(obs=max);

   length ltmob 3;

   ltmob=0;
   if ea1>0 or ea3>0 then eda13=(ea3-ea1)/((ea1+ea3)/2);
   ltmob=0;
   if ea1>0 and ea2>0 and ea3>0 then do;
      if  eda13<-&cut_ltm then ltmob=1;
      else if eda13>=-&cut_ltm and eda13<=&cut_ltm then ltmob=2;
      else if eda13>&cut_ltm then ltmob=3;
   end;
run;

proc contents data=temp1;
proc means data=temp1;
   class ltmob;
   var earn_all eda13 ea1 ea2 ea3;
run;
proc means data=temp1;
   class age_cohort;
   var earn_all eda13 ea1 ea2 ea3;
run;
proc means data=temp1;
   class pchar;
   var earn_all eda13 ea1 ea2 ea3;
run;
proc means data=temp1;
   class pchar ltmob;
   var earn_all eda13 ea1 ea2 ea3;
run;
proc tabulate data=temp1;
   class pchar ltmob /missing;
   table pchar*(ltmob all='Subtotal') all='Total'
         , n*f=comma14.0 pctn<ltmob all> pctn;
run;
proc tabulate data=temp1;
   class pchar age_cohort ltmob /missing;
   table age_cohort*pchar*(ltmob all='Subtotal') all='Total'
         , n*f=comma14.0 pctn<ltmob all> pctn;
run;
proc print data=temp1(obs=100);
run;
