#!/bin/bash

bsize=10

# Clean Up

rm -f 03.01.*
rm -f 03.02.*
rm -f 03.03.*
rm -f 03.04.*
rm -f 03.05.*
rm -f 03.06.*
rm -f 03.07.*
rm -f 03.08.*
rm -f 03.09.*
rm -f 03.10.*
rm -f 03.11.*
rm -f 03.12.*

# arcearn1F
tmpfile=$(mktemp)
fnum=01
var=arcearn1F
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2018;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# arcearn5F
tmpfile=$(mktemp)
fnum=02
var=arcearn5F
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2014;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# labor
tmpfile=$(mktemp)
fnum=03
var=labor
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=>0;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2019;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# logearn
tmpfile=$(mktemp)
fnum=04
var=logearn
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2019;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash


# logearnc
tmpfile=$(mktemp)
fnum=05
var=logearnc
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2019;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# permearn
tmpfile=$(mktemp)
fnum=06
var=permearn
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=2000;" >> ${tmpfile}
echo "%let yend=2019;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# permearnalt
tmpfile=$(mktemp)
fnum=07
var=permearnalt
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=2000;" >> ${tmpfile}
echo "%let yend=2019;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# researn
tmpfile=$(mktemp)
fnum=08
var=researn
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2019;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# researn1F
tmpfile=$(mktemp)
fnum=09
var=researn1F
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2018;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# researn5F
tmpfile=$(mktemp)
fnum=10
var=researn5F
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2014;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# researnc
tmpfile=$(mktemp)
fnum=11
var=researnc
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2019;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash

# researne
tmpfile=$(mktemp)
fnum=12
var=researne
echo " " > ${tmpfile}
echo "%let var=${var};" >> ${tmpfile}
echo "%let cond=~=.;" >> ${tmpfile}
echo "%let cnt=${bsize};" >> ${tmpfile}
echo "%let ybeg=1998;" >> ${tmpfile}
echo "%let yend=2019;" >> ${tmpfile}
echo " " >> ${tmpfile}
cat ${tmpfile} 03.00.bin_skel.sas > 03.${fnum}.bin_${var}.sas
rm -f ${tmpfile}
cat 03.00.bin_skel.bash > 03.${fnum}.bin_${var}.bash
echo "runpbs sas 03.${fnum}.bin_${var}.sas" >> 03.${fnum}.bin_${var}.bash
qsub 03.${fnum}.bin_${var}.bash
