*** Export Stata data ***;

*** OPTIONS ***;
options spool mlogic mprint symbolgen fullstimer msglevel=i ps=200 ls=200 nocenter obs=max;

libname dot ".";

libname interwrk "../sastemp";

%put SASUSER path=%sysfunc(pathname(sasuser));


proc export data=interwrk.master_dta_bin
   file="../../regalt_bin/dta/master_sample.dta"
   dbms=dta replace;
run;

proc export data=interwrk.master_dta_researne_bin
   file="../../regalt_bin/dta/researne.dta"
   dbms=dta replace;
run;
