#!/bin/bash
##############################################################
# PBS resource request MUST match resources used below
#PBS -l select=1:ncpus=6:mem=40gb
# Base Name Used to Create the Log File (bname.pbs_jobid.log)
bname=run_ineq.bash
# Resource Monitor Iteration Interval (default is 60 seconds)
iterslp=60
##############################################################

##############################################################
# Source the run_pbs.bash file (required)
iname=/projects/bin/scripts/run_pbs.bash
if [ -n ${iname} ] ; then
   source  ${iname}
else
   echo "run_pbs.bash not found"
   exit
fi
##############################################################

#######################################################
### List runpbs commands below                      ###
### Syntax: runpbs <command>                        ###
### Example: runpbs sas test_pbs.sas                ###
#######################################################

