#!/bin/bash
rm -f run_jid.log
touch run_jid.log
# Submit job
for i in {1998..2019}
do
   rm -f 3_ineq_${i}.do
   rm -f 3_ineq_${i}.log
   rm -f run_ineq_${i}.bash
   cat 3_Inequality_Year.do | sed "s/timer on 1/timer on 1\nglobal yrlist= ${i}/" > 3_ineq_${i}.do
   cat run_skel.bash > run_ineq_${i}.bash
   echo "runpbs stata-mp -b do 3_ineq_${i}.do" >> run_ineq_${i}.bash
   # Submit job
   jid1=$(qsub run_ineq_${i}.bash)
   echo "run_ineq_${i}.bash: $jid1" >> run_jid.log
done
sleep 5
qstat -u [insert user JBID]
