#!/bin/bash

function fgroup {
   let i=1
   for var in "$@"
   do
      if [[ $i -eq 1 ]]
      then
         gnum=$var
      elif [[ $i -eq 2 ]]
      then
         dir=$var
      elif [[ $i -gt 2 ]]
      then
         fname=$var
         let j=$i-2
         cp -f ${dir}/${fname} release/${gnum}_${j}_${dir}_${fname}
         cp -f ${dir}/${fname} pub/${gnum}_${j}_${dir}_${fname}
      fi
      let i=$i+1
   done
}
rm -f release/*png
fgroup 01 ineq_main fig1A_male_logearn.png fig1A_fem_logearn.png fig1B_male_logearn.png fig1B_fem_logearn.png  
fgroup 02 ineq_main fig2A_male_logearn.png fig2A_fem_logearn.png fig2B_male_logearn.png fig2B_fem_logearn.png  
fgroup 03 ineq_init fig3_male_logearn.png fig3_fem_logearn.png    
fgroup 04 ineq_init fig3B_male_logearn.png fig3B_fem_logearn.png    
fgroup 05 vol fig4_men_researn1F.png fig4_women_researn1F.png    
fgroup 06 vol fig5A_researn1F.png fig5B_researn1F.png    
fgroup 07 egrow_het fig6A_researn1F_men.png fig6A_researn1F_women.png fig6B_researn1F_men.png fig6B_researn1F_women.png fig6C_researn1F_men.png fig6C_researn1F_women.png
fgroup 08 mob fig7_mobility_male1_T10.png fig7_mobility_male0_T10.png    
fgroup 09 mob fig7_mobility_male1_yrs_T10.png fig7_mobility_male0_yrs_T10.png    
fgroup 10 ineq_main fig1A_all_logearn.png fig1B_all_logearn.png fig2A_all_logearn.png fig2B_all_logearn.png  
fgroup 11 ineq_main fig1A_all_researn.png fig1B_all_researn.png fig2A_all_researn.png fig2B_all_researn.png  
fgroup 12 ineq_main fig1A_all_researne.png fig1B_all_researne.png fig2A_all_researne.png fig2B_all_researne.png  
fgroup 13 tail logCDF_1pct_Male.png logCDF_1pct_Women.png    
fgroup 14 tail logCDF_5pct_Male.png logCDF_5pct_Women.png    
fgroup 15 conc fig11B_nquintile_more_all.png fig11B_bot50share_more_all.png    
fgroup 16 conc fig3b_gini_all.png     
fgroup 18 vol fig4_men_researn5F.png fig4_women_researn5F.png    
fgroup 19 vol fig5A_researn5F.png fig5B_researn5F.png    
fgroup 20 egrow_het fig6A_researn5F_men.png fig6A_researn5F_women.png fig6B_researn5F_men.png fig6B_researn5F_women.png fig6C_researn5F_men.png fig6C_researn5F_women.png
fgroup 21 egrow_het fig6A_researn1F_men_ct.png fig6A_researn1F_women_ct.png fig6B_researn1F_men_ct.png fig6B_researn1F_women_ct.png fig6C_researn1F_men_ct.png fig6C_researn1F_women_ct.png
fgroup 22 egrow_het fig6A_researn5F_men_ct.png fig6A_researn5F_women_ct.png fig6B_researn5F_men_ct.png fig6B_researn5F_women_ct.png fig6C_researn5F_men_ct.png fig6C_researn5F_women_ct.png
fgroup 23 mob fig7_mobility_male1_T5.png fig7_mobility_male0_T5.png    
fgroup 24 mob fig7_mobility_male1_yrs_T5.png fig7_mobility_male0_yrs_T5.png    
fgroup 25 dens fig13_den_researn1F_men_2010.png fig13_den_researn1F_women_2010.png    
fgroup 26 dens fig13_den_researn5F_men_2010.png fig13_den_researn5F_women_2010.png    
fgroup 27 dens fig13_lden_researn1F_men_2010.png fig13_lden_researn1F_women_2010.png    
fgroup 28 dens fig13_lden_researn5F_men_2010.png fig13_lden_researn5F_women_2010.png    
