*dline.sas;
*Author: Kevin McKinney;
*Last modified: N. Zhao 20150819;
/* Data line for writing lib.data_NN files */

%macro dline(lib=,data=,keepvars=,compress=);
   data
   %let i=1;
   %let NN = %scan(&PIK2short.,&i.);
   %do %until ("&NN." = "");
       &lib..&data._&NN.(keep=&keepvars. compress=&compress.)
       %let i = %eval(&i.+1);
       %let NN = %scan(&PIK2short.,&i.," ");
   %end;
   ;
%mend;
