/* Create NAICS 2012 Divisions */

proc format;

    invalue ncs

"11"   = 1
"21"   = 2
"22"   = 3
"23"   = 4
"31"   = 5
"32"   = 5
"33"   = 5
"42"   = 6
"44"   = 7
"45"   = 7
"48"   = 8
"49"   = 8
"51"   = 9
"52"   = 10
"53"   = 11
"54"   = 12
"55"   = 13
"56"   = 14
"61"   = 15
"62"   = 16
"71"   = 17
"72"   = 18
"81"   = 19
"92"   = 20
other = .
;
run;

proc format;

    value ncsc

 1     = "A"
 2     = "B"
 3     = "C"
 4     = "D"
 5     = "E"
 6     = "F"
 7     = "G"
 8     = "H"
 9     = "I"
 10    = "J"
 11    = "K"
 12    = "L"
 13    = "M"
 14    = "N"
 15    = "O"
 16    = "P"
 17    = "Q"
 18    = "R"
 19    = "S"
 20    = "T"
 other = " "
;
run;

proc format;

    value $ncsk

 "11" = "A"
 "21" = "B"
 "22" = "C"
 "23" = "D"
 "31" = "E"
 "32" = "E"
 "33" = "E"
 "42" = "F"
 "44" = "G"
 "45" = "G"
 "48" = "H"
 "49" = "H"
 "51" = "I"
 "52" = "J"
 "53" = "K"
 "54" = "L"
 "55" = "M"
 "56" = "N"
 "61" = "O"
 "62" = "P"
 "71" = "Q"
 "72" = "R"
 "81" = "S"
 "92" = "T"
 other = " "
;
run;

proc format;

    value $ncsko

 "A"=  "11"
 "B"=  "21"
 "C"=  "22"
 "D"=  "23"
 "E"=  "31-33"
 "F"=  "42"
 "G"=  "44-45"
 "H"=  "48-49"
 "I"=  "51"
 "J"=  "52"
 "K"=  "53"
 "L"=  "54"
 "M"=  "55"
 "N"=  "56"
 "O"=  "61"
 "P"=  "62"
 "Q"=  "71"
 "R"=  "72"
 "S"=  "81"
 "T"=  "92"
 " "=  "00"
;
run;

proc format;

    value $forout

 "11"      ="0A"
 "21"      ="0B"
 "22"      ="0C"
 "23"      ="0D"
 "31-33"   ="0E"
 "42"      ="0F"
 "44-45"   ="0G"
 "48-49"   ="0H"
 "51"      ="0I"
 "52"      ="0J"
 "53"      ="0K"
 "54"      ="0L"
 "55"      ="0M"
 "56"      ="0N"
 "61"      ="0O"
 "62"      ="0P"
 "71"      ="0Q"
 "72"      ="0R"
 "81"      ="0S"
 "92"      ="0T"
 "00"      ="00"
;
run;
