*** Bring everything together ***;

%include "../config.sas";

* Observed Education from icf_us_demo *;
libname sm "";


data educ_rep(rename=(educ_c=educ_r)) /view=educ_rep;
   set sm.icf_us_demo_observed(keep=pik educ_c educ_c_flag educ_c_src educ_c_year);
run;


data outputs.pik_vars_2(drop=rc);
   merge outputs.pik_vars(in=a) educ_rep(in=b)
         outputs.hours(in=d) outputs.hc_est(in=e);
      by pik;

   length src $5 skill_flag 3;

   src=put(a,1.) || put(b,1.) || put(c,1.) || put(d,1.) || put(e,1.);

   skill_flag=nr_cog_anal~=.;

   if a=1 and in_sample=1 then output;
run;
 
proc contents data=outputs.pik_vars_2;
proc freq data=outputs.pik_vars_2;
   tables src educ_c_src*skill_flag/missing;
   tables educ_r*educ_c;
run;
options nolabel;
proc means data=outputs.pik_vars_2;
run;
proc means data=outputs.pik_vars_2;
   class pchar;
run;
proc print data=outputs.pik_vars_2(obs=1000);
run;
